/**************************************************************************

  $Id: matrix.h,v 1.4 2001/08/19 20:51:32 jens Exp $

  Copyright (C) 2001 Jens Thoms Toerring

  g_rhf is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  g_rhf is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with g_rhf; see the file COPYING.  If not, write to
  the Free Software Foundation, 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.

  Header file to be included for matrix.c

**************************************************************************/


#ifndef MATRIX_HEADER
#define MATRIX_HEADER

#include <math.h>
#include <stdlib.h>
#include <stddef.h>
#include "m_alloc.h"


void multiply_matrix( int n, DMATRIX a, DMATRIX b, DMATRIX c );
int lr_decomposition( int n, DMATRIX a, int *index, double *d );
void lr_backsubstitution( int n, DMATRIX a, int *index, double *b );
int solve_linear_equation( int n, DMATRIX a, double *b, int *index );
int invert_matrix( int n, DMATRIX a );
int determinant( int n, DMATRIX a, double *det );
double lr_determinant( int n, DMATRIX a, double sign );

#endif
