#!/usr/local/bin/perl -w
#
# $Id: params.pl,v 1.2 2000/11/09 19:44:57 jens Exp $
#
# Copyright (C) 2001 Jens Thoms Toerring
#
# g_rhf is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# g_rhf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with g_rhf; see the file COPYING.  If not, write to
# the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.


use strict;

local *F;
my @list;
my $method;

open( F, "< $ARGV[ 0 ]" ) or exit;

while ( <F> ) {
	if ( /^\s*((AM1)|(PM3)|(MNDO)|(ZINDOS))/ ) {
		print "$1\n";
		$method = $1;
		last;
	}
}

exit unless defined $method;

if ( $method ne "ZINDOS" ) {
	while ( <F> ) {
		next if /^\s*$/ or /^\s*#/;
		/^\s*(.*)\b\s*$/;
		@list = split /\s+/, $1;
		splice @list, 13;
		print join( " ", @list ), "\n";
	}
} else {
	while ( <F> ) {
		next if /^\s*$/ or /^\s*#/;
		/^\s*(.*)\b\s*$/;
		@list = split /\s+/, $1;
		splice @list, 3;
		print "$list[ 0 ] 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 " .
			  "$list[ 1 ] $list[ 2 ]\n";
	}
}

close F;
