/*************************************************************************

  $Id: relativ.c,v 1.2 2000/11/03 19:31:45 jens Exp $

  Copyright (C) 2001 Jens Thoms Toerring

  g_rhf is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  g_rhf is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with g_rhf; see the file COPYING.  If not, write to
  the Free Software Foundation, 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.

  This file contains routines for the relativistic part of the g tensor

*************************************************************************/


#include "g_rhf.h"



/********************************************************/
/* Calculates relativistic contribution to the G tensor */
/********************************************************/


void calculate_relativistic_part(DMATRIX g1, ATOM *atom, NUMS *n)
{
	int m, K;
	double temp;


    for (temp = 0.0, K = 0; K < n->atoms; K++)
    {
		if (atom[K].n == 1)
			temp -= sqr(atom[K].zeta_s * atom[K].c[S][n->SOMO]);
		else
		{
			temp -= sqr(atom[K].zeta_s * atom[K].c[S][n->SOMO]) / 3.0;
			for (m = PX; m <= PZ; m++)
				temp -= sqr(atom[K].zeta_p * atom[K].c[m][n->SOMO]);
	    }
	}

	for (m = X; m <= Z; m++)
		g1[m][m] = 0.5 * temp;
}
